## dpkg-iasearch 0.16

=== Makefile ===
# Phony Makefile, will do nothing
all:
	echo Compiling...

clean:
	echo Cleaning....
	@find . -name "*~" -exec rm -f \{\} \;
# try a rm -rf *~ and such, or do a find previously

## dpkg-iasearch 0.9

=== debian/changelog ===
dpkg-iasearch (0.9) unstable; urgency=low

  * Added Russian and French template files (Closes: #137051, #136587)
  * Templates checked for, there is no error (Closes: #108831)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  5 Apr 2002 15:49:25 +0200

dpkg-iasearch (0.8) unstable; urgency=low

  * Fixed lintian errors.
  * Now indexes are built on background process (Closes: #108832)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  9 Sep 2001 02:50:19 +0200

dpkg-iasearch (0.7) testing unstable; urgency=low

  * Added portuguese debconf translation (Closes: #108519)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 15 Aug 2001 16:43:05 +0200

dpkg-iasearch (0.6) testing unstable; urgency=low

  * Dpkg-make-index now removes TMP_DIR (Closes: #91313)
  * Reverted change in 0.4 (bug 86372) since database is not built properly (Closes: #107302)
  * Added -v 1 option to dpkg-make-index (Closes: #91293)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  7 Aug 2001 02:37:05 +0200

dpkg-iasearch (0.5) testing unstable; urgency=low

  * Added translation in gaelician (sp?)
  * Added template translation to deutsch (Closes: #94272) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Mar 2001 20:16:14 +0200

dpkg-iasearch (0.4) testing unstable; urgency=low

  * Changed to architecture all (Closes: #86720)
  * Added patch to dpkg-make-index so arrow does not break (Closes: #86732)
  * Moved temporary folder creation to /var/tmp (Closes: #89183)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 13 Mar 2001 20:26:53 +0100

dpkg-iasearch (0.3) unstable; urgency=low

  * Added contributions by KORN Andras (new script: dpkg-keyword)
  * Fixed typo (Closes: #86848)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Mar 2001 12:25:31 +0100

dpkg-iasearch (0.2) unstable; urgency=low

  * Added debconf note (Closes: #87954)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Mar 2001 12:20:37 +0100

dpkg-iasearch (0.1) unstable; urgency=low

  * Changed named of package. I've decide to finally upload it to Debian
  since it might be useful for other people (even though I
  do not have the time to improve it)
  * Also changed numbering, since it's a Debian-specific package
  * Lintian clean (hopefully)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 14 Jan 2001 21:37:41 +0100

dpkg-search (0.1-3) unstable; urgency=low

  * Now depends on perl5

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 17 Nov 2000 19:11:14 +0100

dpkg-search (0.1-2) unstable; urgency=low

  * dpkg-search now works with arrow by default (could be used with
    remembrance agent, but it is non-free)
  * added a new program to split the debian 'available' database[B

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 16 Jan 2000 14:58:35 +0100

dpkg-search (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Dec 1998 17:55:37 +0100


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dpkg-iasearch
Section: utils
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper
Standards-Version: 3.1.0

Package: dpkg-iasearch
Architecture: all
Depends: libbow, dialog, perl5, debconf
Description: An interface to find relevant packages in Debian.
 This package adds some tools to find relevant packages in Debian using
 simple queries, both in natural language and by keywords. It makes uses
 of the document-vectoring program arrow, adding scripts to
 make use of it to index the Packages database, and to make queries on to it.
 .
 Its functionality is similar to dlocate but uses a different (more useful?)
 approach to make the binary database. 
 .
 This package is a proof-of-concept package, any kind of improvements are are
 welcomed, although this idea should be part of a dpkg frontend {T,G}UI.

=== debian/rules ===
#!/usr/bin/make -f

package=dpkg-search

build:
	dh_testdir
	make
	touch build

clean:
	dh_testdir
	dh_clean
	make clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	-rm -rf debian/tmp
	dh_installdebconf
	dh_installdirs
	dh_installdocs debian/README* debian/TODO*
	dh_installmenu
	dh_installchangelogs
	dh_undocumented dpkg-make-index.8 dpkg-query.8 dpkg-break.8 dpkg2folder.8
	install -m 755 bin/dpkg-make-index bin/dpkg-break bin/dpkg-query bin/dpkg2folder debian/tmp/usr/bin
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## dpkg-iasearch 0.16

=== debian/changelog ===
dpkg-iasearch (0.16) unstable; urgency=low

  * Included Japanese translation (debian/po/ja.po) as provided by
    Hideki Yamane (Closes: #227457)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 13 Jan 2004 21:34:06 +0100

dpkg-iasearch (0.15) unstable; urgency=low

  * Removed rm call in debian/rules which removed all binaries dpkg-iasearch
    in dpkg-iasearch and made it uninstalable (Closes: #226632)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  8 Jan 2004 20:35:44 +0100

dpkg-iasearch (0.14) unstable; urgency=low

  * Updated russian translation thanks to the patch provided by
   Ilgiz Kalmetev (Closes: #214365)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 Oct 2003 19:44:16 +0200

dpkg-iasearch (0.13) unstable; urgency=low

  * Provided a manpage for the programs (Closes: #107865) 
  * Corrected french fuzzy string (Closes: #203605)
  * Added dutch po translation (Closes: #204917)
  * Changed contact address in dpkg-iaquery
  * Removed TODOs no longer relevant
  * Added 'set -e' and 'exit 0' to postinst.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 Sep 2003 09:53:19 +0200

dpkg-iasearch (0.12) unstable; urgency=low

  * Fixed typos in control file. 
  * Moved to po-debconf applying the provided patch and 
    fixed Build-Depends line (Closes: #201238)
  * Changed Build-Depends to Build-Depends-Indep
  * Nice'd dpkg-make-index because it might make the CPU temperature
    rise with the number of packages currently available in Debian.
  * clean target now cleans build too

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 27 Jul 2003 21:40:26 +0200

dpkg-iasearch (0.11) unstable; urgency=low

  * "You thought this package was dead?" release
  * Description has not typos now (Closes: #124566)
  * Added purge option (Closes :#157868)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Nov 2002 23:28:21 +0100

dpkg-iasearch (0.10) unstable; urgency=low

  * This is the "back from my honeymoon just to find 7 serious bugs!" release
  (the only good thing being that some use dpkg-iasearch...  or at least
  have it installed)
  * Moved dpkg-search to dpkg-iasearch and changed all documentation
  (not much :). Will change all binaries to dpkg-ia-X in the near future
  in order to avoid conflicting in the future with dpkg.
  (Closes:  #151553, #151555, #151625, #151823, #151971, #152115, #151503)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 17 Jul 2002 17:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends: debhelper
+Build-Depends-Indep: debhelper (>= 4.1.16)
 Standards-Version: 3.1.0
 
 Package: dpkg-iasearch
@@ -17,5 +17,5 @@
  Its functionality is similar to dlocate but uses a different (more useful?)
  approach to make the binary database. 
  .
- This package is a proof-of-concept package, any kind of improvements are are
- welcomed, although this idea should be part of a dpkg frontend {T,G}UI.
+ This package is a proof-of-concept package, any kind of improvements are
+ welcome, although this idea should be part of a dpkg frontend {T,G}UI.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+  
+# This is the debhelper compatability version to use.
+export DH_COMPAT=1
 
 package=dpkg-search
 
@@ -11,7 +17,15 @@
 	dh_testdir
 	dh_clean
 	make clean
-	-rm -rf *~ debian/tmp debian/*~ debian/files*
+	-rm -rf *~ debian/tmp debian/*~ debian/files* build
+
+install:
+	dh_testdir
+	dh_testroot
+	dh_installdirs
+	for file in bin/dpkg-make-index bin/dpkg-break bin/dpkg-iaquery bin/dpkg2folder ; do \
+	install -m 755 $$file debian/tmp/usr/bin ; done
+#	install -m 755 bin/dpkg-make-index bin/dpkg-break bin/dpkg-iaquery bin/dpkg2folder debian/tmp/usr/bin
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -19,17 +33,17 @@
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch: checkroot build
+binary-arch: checkroot build install
 	dh_testdir
 	dh_testroot
-	-rm -rf debian/tmp
 	dh_installdebconf
-	dh_installdirs
 	dh_installdocs debian/README* debian/TODO*
 	dh_installmenu
+	dh_installman dpkg-iasearch.1
+	cd debian/tmp/usr/share/man/man1/ && {  \
+	for file in dpkg-iaquery dpkg-make-index dpkg-break dpkg2folder ; do \
+	ln -s dpkg-iasearch.1 $$file.1 ; done }
 	dh_installchangelogs
-	dh_undocumented dpkg-make-index.8 dpkg-query.8 dpkg-break.8 dpkg2folder.8
-	install -m 755 bin/dpkg-make-index bin/dpkg-break bin/dpkg-query bin/dpkg2folder debian/tmp/usr/bin
 	dh_compress
 	dh_fixperms
 	dh_shlibdeps
